# Ogre::Log Class Reference

Log class for writing debug/log data to files. More...

`#include <OgreLog.h>`

List of all members.

## Public Member Functions

| Log (const String &name, bool debugOutput=true, bool suppressFileOutput=false)
| Usual constructor - called by LogManager.
| ~Log ()
| Default destructor.
void | logMessage (const String &message, LogMessageLevel lml=LML_NORMAL, bool maskDebug=false)
| Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),.
void | setLogDetail (LoggingLevel ll)
| Sets the level of the log detail.

## Protected Attributes

std::ofstream | mfpLog
LoggingLevel | mLogLevel
bool | mDebugOut
bool | mSuppressFile
String | mName

## Detailed Description

Log class for writing debug/log data to files.

Note:
  Should not be used directly, but trough the LogManager class.

Definition at line 58 of file OgreLog.h.

## Constructor & Destructor Documentation

Ogre::Log::Log | ( | const String & | name,
|  | bool | debugOutput = true,
|  | bool | suppressFileOutput = false
| ) |

| Usual constructor - called by LogManager.

Ogre::Log::~Log | ( |  | ) |

| Default destructor.

## Member Function Documentation

void Ogre::Log::logMessage | ( | const String & | message,
|  | LogMessageLevel | lml = LML_NORMAL,
|  | bool | maskDebug = false
| ) |

| Log a message to the debugger and to log file (the default is "<code>OGRE.log</code>"),.

void Ogre::Log::setLogDetail | ( | LoggingLevel | ll | ) |

| Sets the level of the log detail.

## Member Data Documentation

bool Ogre::Log::mDebugOut `[protected]`

| Definition at line 63 of file OgreLog.h.

std::ofstream Ogre::Log::mfpLog `[protected]`

| Definition at line 61 of file OgreLog.h.

LoggingLevel Ogre::Log::mLogLevel `[protected]`

| Definition at line 62 of file OgreLog.h.

String Ogre::Log::mName `[protected]`

| Definition at line 65 of file OgreLog.h.

bool Ogre::Log::mSuppressFile `[protected]`

| Definition at line 64 of file OgreLog.h.

The documentation for this class was generated from the following file:

- OgreLog.h

Copyright © 2000-2005 by The OGRE Team
Last modified Sun Nov 20 12:37:09 2005